Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032299
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 09. Financial managementminoralways2016-02-17 19:512016-02-23 14:01
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionb207c78d4bbc
ProjectionnoneETAnoneTarget Version3.0PR15Q4.4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2014-09-23
Regression introduced in release3.0PR14Q4
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/179d97ee602d [^]
Triggers an Emergency PackNo
Summary

0032299: Wrong payment status when unmatching bankstatement line manually matched against an invoice

DescriptionWrong payment status when unmatching bankstatement line manually matched against an invoice
Steps To Reproduce0. Configure "Bank" financial account to use "Advanced Matching algorithm"
1. Access Financial Account, create Bank Statement record and add line with amount in =100. Process bank statement
2. Register Sales invoice with any line and total invoice amount = 100
3. Come back to Financial Account and run "Match Statement" process
4. Select "Cancel" option to not execute automatic matching
5. Run "add transaction" process by pressing + button
6. Create payment by pressing "+" button in payment's selector and select your invoice. Process Done and Done to finish with matching process
7. Filter in the grid by "matched=yes" records and unmatch record. Press OK to save reconciliation
8. Realize that transaction has correct status "deposited not cleared"
9. Navigate to related payment in and realize that status is "payment cleared" instead of "deposited not cleared"

NOTE: I followed same steps in an standard MP30.3 version and both payment and transaction has status "deposited not cleared"
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0032268 closedAtulOpenbravo Wrong payment status when unmatching bankstatement line manually matched against an invoice 

-  Notes
(0084401)
AtulOpenbravo (developer)
2016-02-22 11:14

Test Plan
- Configure "Bank" financial account to use "Advanced Matching algorithm".
- Access Financial Account, create Bank Statement record and add line with amount in =100. Process bank statement.
- Register Sales invoice with any line and total invoice amount = 100.
- Come back to Financial Account and run "Match Statement" process.
- Select "Cancel" option to not execute automatic matching.
- Run "add transaction" process by pressing + button.
- Create payment by pressing "+" button in payment's selector and select your invoice. Process Done and Done to finish with matching process.
- Filter in the grid by "matched=yes" records and unmatch record. Press OK to save reconciliation.
- Check that financial account transaction has correct status "deposited not cleared".
- Go to related payment in and check that status is "deposited not cleared" which is correct.
(0084424)
hgbot (developer)
2016-02-23 14:01

Repository: erp/backports/3.0PR15Q4.4
Changeset: b207c78d4bbc3cc992798e07dba3451d57da2ad1
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Mon Feb 22 15:33:27 2016 +0530
URL: http://code.openbravo.com/erp/backports/3.0PR15Q4.4/rev/b207c78d4bbc3cc992798e07dba3451d57da2ad1 [^]

Fixes Issue 32299: Wrong payment status when unmatching bankstatement line
manually matched against an invoice

Incase a finTransaction is unmatched which has finPayment,status of finPayment
is also updated accordingly as per isReceipt flag

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/utility/APRM_MatchingUtility.java
---
(0084427)
vmromanos (developer)
2016-02-23 14:01

Code review + testing OK

- Issue History
Date Modified Username Field Change
2016-02-22 10:46 AtulOpenbravo Type defect => backport
2016-02-22 10:46 AtulOpenbravo Target Version => 3.0PR15Q4.4
2016-02-22 10:55 AtulOpenbravo Regression date => 2014-09-23
2016-02-22 10:55 AtulOpenbravo Regression introduced in release => 3.0PR14Q4
2016-02-22 11:14 AtulOpenbravo Note Added: 0084401
2016-02-23 14:01 hgbot Checkin
2016-02-23 14:01 hgbot Note Added: 0084424
2016-02-23 14:01 hgbot Status scheduled => resolved
2016-02-23 14:01 hgbot Resolution open => fixed
2016-02-23 14:01 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/backports/3.0PR15Q4.4/rev/b207c78d4bbc3cc992798e07dba3451d57da2ad1 [^]
2016-02-23 14:01 vmromanos Review Assigned To => vmromanos
2016-02-23 14:01 vmromanos Note Added: 0084427
2016-02-23 14:01 vmromanos Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker